Subject: bug#71073: Emacs segfaults if corfu is asked to autocomplete something while the LSP server providing completions is still starting/indexing

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 May 2024 12:08:01 +0300

> From: Po Lu <[email-masked]>
> Cc: alexis purslane <[email-masked]>,  [email-masked]
> Date: Wed, 22 May 2024 19:36:25 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Po Lu, do you see anything problematic?
> 
> Nothing, I'm afraid, though I can barely claim to understand the code
> involved.

Neither do I.

I guess we will need more details about what happens inside
parse_modifiers to make some progress here.  Which line of the code of
that function causes the segfault, and what data is invalid which
triggers that?